//-----------------------------------------------------------------------------
// PIC Simple Serial Console
// Copyright 2012 by Glen Akins.
// All rights reserved.
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
//

// console i/o defines
#define U1TXBUFSIZE 64	// must be even power of 2
#define U1RXBUFSIZE 64	// must be even power of 2

// console i/o functions
void ConsoleInit (void);
void putchar (char ch);
void putstring (char *s);
void putstringcrlf (char *s);
void puthex4 (unsigned char a);
void puthex8 (unsigned char a);
void puthex16 (unsigned short a);
void puthex32 (unsigned long a);
short getchar (void);
